# EasyWeixin

	A Simple gem for weixin

# Installation

	gem install easy_weixin

### Rails use redis

```
EasyWeixin.configure do |config|
	config.redis = Redis.new
end
```

# Usage

### 验证

```
easy_weixin = EasyWeixin::Auth.new(@token, @timestamp, @nonce, @signature, @echostr)
easy_weixin.check_valid    # => echostr or false
```

### 创建菜单

```
$client = EasyWeixin::Api.new(ENV["APPID"], ENV["APPSECRET"])
$client.create_menu(data)
```

### 解析XML
```
request_xml = Nokogiri::XML(request.body.read).to_s
msg = EasyWeixin::Response.analysis_xml(request_xml)
```

### 回复

* ReplyText
```
	EasyWeixin.text_msg(msg.ToUserName, msg.FromUserName, 'i am a text reply')
```

* ReplyNews
```
	msg = EasyWeixin::Response.analysis_xml(request_xml)
	if msg.Content == 'Hello2BizUser'
		item1 = EasyWeixin::Item.new
		item1.Title = 'title1'
		item1.Description = 'blah'
		item2 = EasyWeixin::Item.new
		item2.Title = 'title2'
		item2.Description = 'blah blah'
		Articles = [item1, item2]
		ArticleCount = Articles.size
	end
	EasyWeixin::Response.news_msg(msg.ToUserName, msg.FromUserName, Articles, ArticleCount)
```
### 测试
```
rake test
```
